This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 817540 - [as7] Updating system properties fails on er6
[as7] Updating system properties fails on er6
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-30 08:39 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:17:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-30 08:39:40 EDT
Updating of system properties in the server fails on eap6er6


[14:03:17] <lkrejci> pil-lunch: {JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-2=JBAS014639: Attribute name is not writable}}, rolled-back=true

[14:24:50] <pilhuhn> Hey
[14:25:40] <pilhuhn> So er6 all of a sudden exposes the /path=* properties
[14:27:23] <pilhuhn> Is that still supposed to be "user serviceable" ?  emuckenhuber , ctomc  ?
[14:27:33] <pilhuhn> and If I do /path=foo:add(path=bar,relative-to=/tmp)
[14:27:49] <pilhuhn> this fails totally with {"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.server.path.foojboss.server.path./tmpMissing[jboss.server.path.foojboss.server.path./tmp]"]},
[14:29:50] <+emuckenhuber> pilhuhn: hmm, relative-to needs to be a configured path - so you need to have a /path=tmp(path=/tmp) then you can have /path=foo(path=bar,relative-to=tmp)

[14:27:23] <pilhuhn> Is that still supposed to be "user serviceable" ?  emuckenhuber , ctomc  ?
[14:27:33] <pilhuhn> and If I do /path=foo:add(path=bar,relative-to=/tmp)
[14:27:49] <pilhuhn> this fails totally with {"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.server.path.foojboss.server.path./tmpMissing[jboss.server.path.foojboss.server.path./tmp]"]},
[14:29:50] <+emuckenhuber> pilhuhn: hmm, relative-to needs to be a configured path - so you need to have a /path=tmp(path=/tmp) then you can have /path=foo(path=bar,relative-to=tmp)
[14:30:16] <pilhuhn> holy c*w - let me try that
[14:30:45] <pilhuhn> nice
[14:31:11] <pilhuhn> So paths that start with user. and jboss. are reserved - or is a path by default immutable=
[14:31:20] <pilhuhn> s/=/?/
[14:31:52] <+emuckenhuber> there are some protected paths, which cannot be configured using standalone.xml - those are immutable
[14:34:28] <+emuckenhuber> and there should be a read-only flag
[14:35:11] <pilhuhn> Indeed I see the r/o flag. That was not always there ..

[14:35:38] <+emuckenhuber> no, this changed a bit recently
Comment 1 Heiko W. Rupp 2012-04-30 14:17:22 EDT
master 16e09543


Note: that for the path as config group of e.g. standalone server, there are system computed and user entered.
The system computed ones have the read-only checkbox set. The UI allows to remove them, but they can't be changed or deleted
Comment 2 Heiko W. Rupp 2013-09-01 06:17:35 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.